Skip to main content
GET
/
api
/
numbers
/
{accountSid}
List phone numbers
curl --request GET \
  --url https://api.upon-ai.com/api/numbers/{accountSid} \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 123,
    "number": "<string>",
    "base_number": "<string>",
    "account_sid": "<string>",
    "workspace_id": 123,
    "agent_id": "<string>",
    "default_agent_id": "<string>",
    "inbound_agent_id": "<string>",
    "inbound_agents": [
      {
        "agent_id": "<string>",
        "agent_version": 123,
        "weight": 123
      }
    ],
    "outbound_agents": [
      {
        "agent_id": "<string>",
        "agent_version": 123,
        "weight": 123
      }
    ],
    "inbound_agent_version": 123,
    "outbound_agent_version": 123,
    "application_sid": "<string>",
    "phone_number_sid": "<string>",
    "inbound_webhook_url": "<string>",
    "is_time_routing_enabled": true,
    "platform_import_error": true,
    "platform_import_error_message": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://documentation.uponai.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Generate tokens from your profile settings at app.uponai.com.

Path Parameters

accountSid
string
required

Account SID that owns the phone numbers.

Response

Phone numbers for the requested account.

id
integer
number
string
base_number
string
account_sid
string
workspace_id
integer
agent_id
string | null
default_agent_id
string | null
inbound_agent_id
string | null
inbound_agents
object[]
outbound_agents
object[]
inbound_agent_version
integer | null
outbound_agent_version
integer | null
application_sid
string | null
phone_number_sid
string | null
inbound_webhook_url
string<uri> | null
is_time_routing_enabled
boolean
platform_import_error
boolean
platform_import_error_message
string | null